#
# spec file for package microcode_ctl (Version 1.13)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           microcode_ctl
License:        GPL, Other License(s), see package
ExclusiveArch: %ix86 x86_64
URL:            http://www.urbanmyth.org/microcode/
Group:          Hardware/Other
Autoreqprov:    on
Summary:        Microcode Updates for Intel CPUs
Version:        1.13
Release:        13.1
%define tarver 1.13
Source0:        microcode_ctl-%{tarver}.tar.bz2
Source1:        microcode.init
#Source2:      intel-ia32microcode-05Jan2006.txt.bz2
Patch0:         microcode-select.diff
%define prefix  /usr
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
PreReq:         %insserv_prereq

%description
This utility allows updating the microcode of Intel x86 and x86-64
CPUs. This feature is supported by Pentium II and newer CPUs.



Authors:
--------
    Simon Trimmer <simon@veritas.com>

%debug_package
%prep
%setup -n %{name}-%{tarver}
%patch0 -p1

%build
#%ifarch x86_64
#ln -s /usr/include/asm-i386 asm
#%endif
make CFLAGS="$RPM_OPT_FLAGS -I."

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
make DESTDIR=${RPM_BUILD_ROOT} \
	PREFIX=%{prefix} \
	MANDIR=%{_mandir}/man8 \
	install
mkdir -p ${RPM_BUILD_ROOT}/etc/init.d
install -m 0755 $RPM_SOURCE_DIR/microcode.init ${RPM_BUILD_ROOT}/etc/init.d/microcode
rm -f $RPM_BUILD_ROOT/etc/init.d/microcode_ctl
#bunzip2 -dc %SOURCE2 > $RPM_BUILD_ROOT/etc/microcode.dat

%post
%{fillup_and_insserv -fy microcode}

%postun
%{insserv_cleanup}

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-,root,root)
/etc/microcode.dat
/etc/init.d/microcode
%{prefix}/sbin/microcode_ctl
%doc %{_mandir}/man8/microcode_ctl.8.gz
%doc README Changelog

%changelog -n microcode_ctl
* Tue Feb 28 2006 - garloff@suse.de
- Resubmit with new tarball: Upstream packager had screwed up
  linefeeds in microcode.dat.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 23 2006 - garloff@suse.de
- microcode_ctl-1.13: Jan 5 drop got integrated into official 1.13.
* Wed Jan 11 2006 - garloff@suse.de
- Update microcode with Jan 5 drop (which is supposed to be
  part of microcode_ctl-1.13) [#141543].
* Mon Nov 28 2005 - garloff@suse.de
- Don't try to update microcode on non-intel systems [#122040].
* Wed Oct 05 2005 - garloff@suse.de
- Update to 1.12: New microcode from intel. [#116907]
- Does not contain the problematic m02f110a/m02f2205.inc anymore,
  so drop remove patch.
* Mon Jun 20 2005 - garloff@suse.de
- microcode-remove-f11-and-f22.diff: Remove microcode for CPUs
  F11 and F22 (m02f110a.inc and m02f2205.inc) [bug #88273].
* Wed May 11 2005 - garloff@suse.de
- Fix script activation on install [bug #80224].
* Mon Feb 21 2005 - garloff@suse.de
- Update to 1.11: Remove some old -i references.
* Fri Oct 29 2004 - garloff@suse.de
- Update to version: 1.10: updated with new microcode from Intel,
  applied patch from Tigran for x86_64 support and some cleanups
- The -i switch has gone, drop from init script.
* Thu Oct 21 2004 - garloff@suse.de
- Update to version 1.09: Newer microcode from intel.
- Allow building on x86_64.
* Sun Aug 15 2004 - garloff@suse.de
- Update to version 1.08: Newer microcode from intel.
* Wed Feb 25 2004 - stepan@suse.de
- add norootforbuild
- add updates from Jesus Molina (specify microcode with -s option)
* Thu Jun 05 2003 - ro@suse.de
- remove unpackaged files from buildroot
* Tue Aug 20 2002 - mmj@suse.de
- Use macros for fillup and insserv, and use PreReq
* Mon Jul 15 2002 - kukuk@suse.de
- Replace BuildArch with ExclusiveArch.
* Fri Feb 08 2002 - grimmer@suse.de
- update to version 1.06
- reworked spec file a bit (macros, cleanups)
- updated init script (Copyright)
* Sat Jun 02 2001 - bjacke@suse.de
- initial build (package for i386 only)
